Get Provider Commission Structures
curl --request GET \
--url https://api.decodahealth.com/inventory/providers/{provider_id}/commission-groups \
--header 'API-KEY: <api-key>' \
--header 'TENANT: <tenant>'import requests
url = "https://api.decodahealth.com/inventory/providers/{provider_id}/commission-groups"
headers = {
"TENANT": "<tenant>",
"API-KEY": "<api-key>"
}
response = requests.get(url, headers=headers)
print(response.text)const options = {method: 'GET', headers: {TENANT: '<tenant>', 'API-KEY': '<api-key>'}};
fetch('https://api.decodahealth.com/inventory/providers/{provider_id}/commission-groups', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
[
{
"name": "<string>",
"id": "<string>",
"description": "<string>",
"commissions": [
{
"commissionStructureId": "<string>",
"id": "<string>",
"itemId": "<string>",
"itemCategory": "<string>",
"itemIsPhysical": true,
"totalSalesAmount": 123,
"percentage": 123,
"amount": 123,
"deductCost": false,
"isArchived": false,
"updatedDate": "2023-11-07T05:31:56Z",
"createdDate": "2023-11-07T05:31:56Z",
"item": {
"name": "<string>",
"price": 123,
"id": "<string>",
"brandName": "<string>",
"description": "<string>",
"category": "<string>",
"isPhysical": true,
"isArchived": false,
"internalNotes": "<string>",
"taxable": false,
"sortOrder": 123,
"allowCustomPricing": false,
"type": "PRODUCT"
}
}
],
"providers": [
{
"id": "<string>",
"firstName": "<string>",
"lastName": "<string>",
"email": "<string>",
"createdDate": "2023-11-07T05:31:56Z"
}
]
}
]{
"detail": [
{
"loc": [
"<string>"
],
"msg": "<string>",
"type": "<string>"
}
]
}Inventory
Get Provider Commission Structures
Get all commission groups assigned to a provider
GET
/
inventory
/
providers
/
{provider_id}
/
commission-groups
Get Provider Commission Structures
Headers
The tenant you are making this request on behalf of
Your api key
Path Parameters
Response
Successful Response
Name of the commission group
Unique identifier for the commission group
Optional description of the commission group
Commissions in this group
Show child attributes
Show child attributes
Providers in this group
Show child attributes
Show child attributes
⌘I
